//*****************************************************************************
//
//  Author:         Kenny Kerr
//  Date created:   31 December 2005
//
//  Description:    Provides the most common initialization for the 
//                  BLENDFUNCTION structure.
//
//*****************************************************************************

#pragma once

namespace Kerr
{
    struct BlendFunction : BLENDFUNCTION
    {
        BlendFunction()
        {
            ASSERT(sizeof(*this) == sizeof(BLENDFUNCTION));

            BlendOp = AC_SRC_OVER;
            BlendFlags = 0;
            SourceConstantAlpha = 255;
            AlphaFormat = AC_SRC_ALPHA;
        }
    };
}
