//*****************************************************************************
//
//  Author:         Kenny Kerr
//  Date created:   12 July 2006
//
//  Description:    Defines the entry point for the application.
//
//*****************************************************************************

#include "Precompiled.h"
#include "AutoInitializeGdiplus.h"
#include "AutoModule.h"
#include "AutoMessageLoop.h"
#include "MainWindow.h"

CAppModule _Module;

int __stdcall wWinMain(HINSTANCE instance,
                       HINSTANCE,
                       LPWSTR /*cmdLine*/,
                       int cmdShow)
{
    Kerr::AutoInitializeGdiplus initializeGdiplus;
    Kerr::AutoModule module(instance);
    Kerr::AutoMessageLoop messageLoop;

    MainWindow mainWindow;
    mainWindow.ShowWindow(cmdShow);

    return messageLoop.Run();
}
