//*****************************************************************************
//
//  Author:         Kenny Kerr
//  Date created:   31 December 2005
//
//  Description:    Automates the construction and destruction of the _Module
//                  object used by ATL/WTL.
//
//*****************************************************************************

#pragma once

namespace Kerr
{
    class AutoModule
    {
    public:

        explicit AutoModule(HINSTANCE instance)
        {
            COM_VERIFY(_Module.Init(0, 
                                    instance));
        }

        ~AutoModule()
        {
            _Module.Term();
        }

    };
}
