//*****************************************************************************
//
//  Author:         Kenny Kerr
//  Date created:   31 December 2005
//
//  Description:    The precompiled header speeds up build times.
//
//*****************************************************************************

#pragma once

#define _WIN32_WINNT 0x0600

// Use explicit constructors for CString
#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS

// Use non-restrictive notify handlers
#define _WTL_NEW_PAGE_NOTIFY_HANDLERS

// From ATL
#include <atlbase.h>
#include <atlstr.h>
#include <atltypes.h>
#include <atlimage.h>

// From WTL
#include <atlapp.h>
#include <atlcrack.h>
#include <atlctrls.h>

extern CAppModule _Module;

#undef max

#include <dwmapi.h>
#include <algorithm>
#include "Diagnostics.h"

#if defined _M_IX86
  #pragma comment(linker, "/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='x86' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_IA64
  #pragma comment(linker, "/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='ia64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#elif defined _M_X64
  #pragma comment(linker, "/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='amd64' publicKeyToken='6595b64144ccf1df' language='*'\"")
#else
  #pragma comment(linker, "/manifestdependency:\"type='win32' name='Microsoft.Windows.Common-Controls' version='6.0.0.0' processorArchitecture='*' publicKeyToken='6595b64144ccf1df' language='*'\"")
#endif
